#include <stdio.h>
int main()
{
  int br,br1,n=1,cd,cl,cifra,novibroj=0;
  scanf("%d", &br);
  br1=br;
  
   
  while(br != 0)
  {
    br1=br;
    cd=br1%10;
    br1=br1/10;
    cl=br1%10;
    
    if(cd==cl)
    {
      br=br/10;
    }  
    else
    {
      cifra=br%10;
      br=br/10;
      novibroj=novibroj + cifra * n;
      n=n*10;
    }  
	      
   }	printf("%d", novibroj);
  
}